Connection Settings
Retrieve a list of all remote session settings.
Site ID for which to retrieve all remote session settings (optional).
Success
RAS Session Settings
FIPS Mode Setting
The session idle timeout (in seconds).
The client logoff timeout (in seconds).
The cached session timeout (in seconds).
Whether to replicate settings to other sites.
ID of the Site.
Unauthorized
Not Found
GET /api/ConnectionSettings HTTP/1.1
Accept: */*
{
"fipsMode": [
"0 = Disabled",
"1 = Allowed",
"2 = Enforced"
],
"remoteIdleSessionTimeout": 1,
"logoffIdleSessionTimeout": 1,
"cachedSessionTimeout": 1,
"replicateSettings": true,
"siteId": 1
}Update settings of a remote session
ID of the site for which the remote session settings will be updated
Update user session settings
Set the session idle timeout (in seconds).
Set the client logoff timeout (in seconds).
Set the cached session timeout (in seconds).
FIPS Mode Setting
Whether to replicate settings to other sites.
No Content
No content
Unauthorized
Not Found
PUT /api/ConnectionSettings HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 166
{
"remoteIdleSessionTimeout": 1,
"logoffIdleSessionTimeout": 1,
"cachedSessionTimeout": 1,
"fipsMode": [
"0 = Disabled",
"1 = Allowed",
"2 = Enforced"
],
"replicateSettings": true
}No content
Last updated